> ## Documentation Index
> Fetch the complete documentation index at: https://docs.oktolabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Refinement History

> Get detailed change history for a refinement.



## OpenAPI

````yaml /openapi.json get /api/v1/refinements/{refinement_id}/history
openapi: 3.1.0
info:
  description: >-
    Okto Pulse REST API schema generated from okto-pulse-core 0.2.0 source for
    docs.oktolabs.ai.
  title: Okto Pulse
  version: 0.2.0
servers: []
security: []
paths:
  /api/v1/refinements/{refinement_id}/history:
    get:
      tags:
        - refinements
      summary: List Refinement History
      description: Get detailed change history for a refinement.
      operationId: list_refinement_history_api_v1_refinements__refinement_id__history_get
      parameters:
        - in: path
          name: refinement_id
          required: true
          schema:
            title: Refinement Id
            type: string
        - in: query
          name: limit
          required: false
          schema:
            default: 50
            maximum: 200
            minimum: 1
            title: Limit
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/RefinementHistoryResponse'
                title: >-
                  Response List Refinement History Api V1 Refinements 
                  Refinement Id  History Get
                type: array
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    RefinementHistoryResponse:
      description: Schema for a refinement history entry.
      properties:
        action:
          title: Action
          type: string
        actor_id:
          title: Actor Id
          type: string
        actor_name:
          title: Actor Name
          type: string
        actor_type:
          title: Actor Type
          type: string
        changes:
          anyOf:
            - items:
                $ref: '#/components/schemas/RefinementHistoryChange'
              type: array
            - type: 'null'
          title: Changes
        created_at:
          format: date-time
          title: Created At
          type: string
        id:
          title: Id
          type: string
        refinement_id:
          title: Refinement Id
          type: string
        summary:
          anyOf:
            - type: string
            - type: 'null'
          title: Summary
        version:
          anyOf:
            - type: integer
            - type: 'null'
          title: Version
      required:
        - id
        - refinement_id
        - action
        - actor_type
        - actor_id
        - actor_name
        - created_at
      title: RefinementHistoryResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    RefinementHistoryChange:
      description: A single field-level change.
      properties:
        field:
          title: Field
          type: string
        new:
          title: New
        old:
          title: Old
      required:
        - field
      title: RefinementHistoryChange
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````